const _Http = getApp().globalData.http;
Component({
  properties: {},
  data: {
    content: {
      nocache: true,
      pageNumber: 1,
      pageTotal: 1,
      total: null
    }
  },
  methods: {
    getList(id, init) {
      let content = this.data.content;
      content.sa_orderid = id;
      if (init) content.pageNumber = 1;
      _Http.basic({
        "id": "20221205111402",
        "version": 1,
        content
      }).then(res => {
        console.log("物流单列表", res)
        if (res.msg != '成功') return wx.showToast({
          title: res.msg,
          icon: "none"
        })
        content.pageNumber = res.pageNumber + 1;
        content.pageSize = res.pageSize;
        content.pageTotal = res.pageTotal;
        content.total = res.total;
        this.setData({
          list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
          content
        })
      })
    },
  }
})